%define WithSLang 0

Name: urlview
# Once we should split the package: urlview (term lib dependent)
# and a generic url_handler script. Now we don't do this for
# the package lists are freezed for ALT Master release.
# imz, Apr 2002

Version: 0.9
Release: ipl7mdk

%if %WithSLang
Summary: A URL extractor/viewer for use with Mutt (SLang variant).
%else
Summary: A URL extractor/viewer for use with Mutt (ncurses variant).
%endif
Group: Networking/Other

License: GPL
Packager: Ivan Zakharyaschev <imz@altlinux.ru>

Requires: common-licenses
# the script uses tr:
Requires: coreutils

# Probably something like this should be present, but not now.
#Requires: webclient
# Now very few pkgs provide webclient.

# We use 'mailx' command not present in older mailx
Conflicts: mailx < 8.1.2-alt1

Source: rsync://ftp.mutt.org::mutt/contrib/%name-%version.tar.bz2
# 2 sources of our own. Some patches will not be applied,
# because they are already there.
Source10: url_handler-alt0.2.tar.gz

# From Debian urlview-0.9-2.1
Source1: %name-0.9-htmlworkaround.debian.txt

# From Mdk urlview-0.9-4mdk
Patch1: %name-0.9-comma.patch

# Our patch - not applied
Patch2: %name-0.9-paths.ALT.patch

# From Debian urlview-0.9-2.1
Patch3: %name-0.9-sysconf.debian.patch
# - not applied:
Patch4: %name-0.9-add-nohup-flag.debian.patch

# From RedHat mutt-1.2.5i-17
Patch5: %name-0.9-correct-c.redhat.patch

# Automatically added by buildreq on Fri Nov 30 2001
BuildRequires:  openjade sgml-tools

%if %WithSLang
BuildRequires: libslang-devel
%else
BuildRequires: libncurses-devel 
%endif

%description
%name extracts URLs from a given text file, and presents a menu
of URLs to view using a user specified command.

%if %WithSLang
(Linked with S-Lang library.)
%else
(Linked with ncurses library.)
%endif

%prep
%setup -a10
#%patch4 -p1 -b .nohup
%patch1 -p1 -b .comma
#%patch2 -p1 -b .paths
%patch3 -p1 -b .sysconf
%patch5 -p1 -b .correct-c

%build

%if %WithSLang
%configure --with-slang
%else
%configure
%endif

%make_build

# Generate HTML docs:
sgml2html %name.sgml \
    && %__mv %name.html %name.bad.html \
    && %__install -m0644 %SOURCE1 %name.html \
    && cat %name.bad.html >> %name.html

%install
mkdir -p $RPM_BUILD_ROOT{%_bindir,%_mandir/man1,%_sysconfdir/%name}
%makeinstall
install -p -m755 url_handler.sh \
    $RPM_BUILD_ROOT%_sysconfdir/%name/
%__ln_s %_sysconfdir/%name/url_handler.sh \
    $RPM_BUILD_ROOT%_bindir/url_handler.sh
install -p -m644 url_handlers \
    $RPM_BUILD_ROOT%_sysconfdir/%name/
install -p -m644 %name.conf.suse \
    $RPM_BUILD_ROOT%_sysconfdir/%name/system.%name

# link the license
%__ln_s -f %_licensedir/GPL-2 COPYING


%files

%dir %_sysconfdir/%name
%config(noreplace) %_sysconfdir/%name/system.%name
%config %_sysconfdir/%name/url_handler.sh
%config(noreplace) %_sysconfdir/%name/url_handlers

%_bindir/*

%_mandir/man?/*
%doc AUTHORS ChangeLog README sample.%name

# Hack for symlink ;-)
%doc --no-dereference COPYING

%doc %name.html

%triggerpostun  -- %name < 0.9-ipl3mdk
moved="$(
    for f in %_sysconfdir/%name.conf*; do
	[ -e "$f" ] \
	    && install -D "$f" "%_sysconfdir/%name/old/${f##*/}" \
	    && { rm -f "$f"; echo -n "$f "; }
    done
)"
if [ "$moved" ]; then
    echo "Moving $moved to %_sysconfdir/%name/old/"
fi

%changelog
* Sat Feb  8 2003 Ivan Zakharyaschev <imz@altlinux.ru> 0.9-ipl7mdk
- url_handler.sh:
  + more quotes (to prevent expansion in wrong places; fixes No. 0001108);
  + accept ./* as file-URL, too (fixes No. 0001098 at http://bugs.altlinux.ru);
- spec-file:
  + drop PreReq on sh-utils, use bash parameter expansion to get the basename.

* Sun Nov  3 2002 Ivan Zakharyaschev <imz@altlinux.ru> 0.9-ipl6mdk
- rebuild

* Mon Apr 15 2002 Dmitry V. Levin <ldv@alt-linux.org> 0.9-ipl5mdk
- url_handlers: added "file" method (by default, equals to http).
- url_handler.sh: added "file" protocol recognition (#0000838).

* Thu Apr 11 2002 Ivan Zakharyaschev <imz@altlinux.ru> 0.9-ipl4mdk
- url_handler.sh: 
  + clean up (ldv, imz);
  + extract the program lists to %_sysconfdir/urlview/url_handlers;
  + include user's configuration from ~/.etc/urlview/url_handlers;
  + case-insensitive protocol matching (fixes \#824 at bugs.altlinux.ru);
- url_handlers:
  + add mozilla -compose for mailto (fixes \#510 at bugs.altlinux.ru);
- spec-file:
  + maintaining patches is difficult, so use our own source for url_handler.sh;

* Thu Nov 29 2001 Ivan Zakharyaschev <imz@altlinux.ru> 0.9-ipl3mdk
- put a symlink to GPL-2 from common-licenses instead of the COPYING file
- a special directory %_sysconfdir/%name/ to hold both the conf-file and
  the script to start browsers (since it should be editable by the 
  administrator -- it contains paths and preferences) (debian)
- add nohup-mode to start programs in X (debian)
- add more url-handlers:
  + gecko-based HTTP-browsers;
  + Sylpheed & mailto program (Mutt remains the first);
  + gFTP client;
- documentation in HTML added;
- make the url-handler script more flexible (path lists implemented 
  with Bash arrays)
- correct C code (redhat)
- 2 variants of build: linked either with ncurses (default now) or slang.

* Fri Nov 10 2000 Dmitry V. Levin <ldv@fandra.org> 0.9-ipl2mdk
- Fixed paths for browsers.

* Thu Oct 12 2000 Dmitry V. Levin <ldv@fandra.org> 0.9-ipl1mdk
- RE adaptions.
- Automatically added BuildRequires.

* Wed Aug 16 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.9-1mdk
- 0.9
- include patch to escape commas passed via openURL by <ben@reser.org>

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.8.1-5mdk
- automatically added BuildRequires

* Fri Jul 28 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.1-4mdk
- BM + bzipped alpha file

* Mon Jul 10 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 0.8.1-3mdk
- makeinstall macro
- macroszifications

* Wed May 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.8.1-2mdk
- On alpha get a regex.o compiled and linked for alpha.

* Mon Apr 03 2000 Daouda Lo <daouda@mandrasoft.com> 0.8.1-1mdk
- fresh release 0.8.1
- added define section in spec
- cleanup spec file

* Thu Mar 23 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7-6mdk
- fix group
* Sat Nov 06 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Thu Mar 18 1999 Bill Nottingham <notting@redhat.com>
- strip binary
- fix defaults some

* Sat Dec 12 1998 Bill Nottingham <notting@redhat.com>
- initial build
